# $Revision: 1.74.2.22 $, $Date: 2007/12/11 11:34:03 $
# TODO:
# - cgi-bin package - separate, because of suid-root
# - separate plugins into packages
# - use shared versions of lpc10, gsm,...
# - put chan_h323 into separate package and make obsoletes to chan_oh323 from external spec
#   These two h323 plugin are conflicting...
# - CFLAGS passing
# - run as asterisk user not root
#
# Conditional build:
%bcond_without	openh323	# without OpenH323 support
%bcond_with	rxfax		# with rx (also tx :-D) fax

%define _spandsp_version 0.0.2pre26
#
Summary:	Asterisk PBX
Summary(pl):	Centralka (PBX) Asterisk
Name:		asterisk
Version:	1.2.25
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://downloads.digium.com/pub/asterisk/releases/%{name}-%{version}.tar.gz
# Source0-md5:	3c7ffae250610da781af3c7fb148cd5c
Source1:	%{name}.init
Source2:	%{name}.sysconfig
#Patch0:	%{name}-openh323-makefile.patch
Patch1:		%{name}-Makefile_fix_gcc33.patch
Patch2:		%{name}-no_k6_on_sparc.patch
Patch3:		%{name}-lib.patch
#Patch4:	%{name}-openh323-formats.patch
#Patch5:	%{name}-openh323-rtti.patch
#Patch6:	%{name}-freetds.patch
#Patch7:	%{name}-t30.patch
Patch8:		%{name}-awk.patch
#Patch9:	%{name}-noarch.patch
# It's included, but these sources are broken by me:)
# will fit on clean cvs source
#Patch1:	%{name}-DESTDIR.patch
#Patch2:	%{name}-Makefile2.patch
Source10:	http://soft-switch.org/downloads/spandsp/spandsp-%{_spandsp_version}/asterisk-1.2.x/app_txfax.c
Source11:	http://soft-switch.org/downloads/spandsp/spandsp-%{_spandsp_version}/asterisk-1.2.x/app_rxfax.c
Patch10:	http://soft-switch.org/downloads/spandsp/spandsp-%{_spandsp_version}/asterisk-1.2.x/apps_Makefile.patch
Patch11:	%{name}-libprihack.patch
Patch12:	%{name}-zaptel.h.patch
URL:		http://www.asterisk.org/
BuildRequires:	bison
BuildRequires:	freetds >= 0.63
BuildRequires:	gawk
BuildRequires:	libpri-devel >= 1.2.4
BuildRequires:	mysql-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
%{?with_rxfax:BuildRequires:	spandsp-devel >= 1:0.0.2-0.pre26.1}
BuildRequires:	speex-devel
BuildRequires:	unixODBC-devel
BuildRequires:	zaptel-devel >= 1.2.15
BuildRequires:	zlib-devel
# These libraries are crazy...
# With openh323 1.11.7 and pwlib 1.4.11 i had sig11
#BuildRequires:	openh323-devel = 1.10.4
%{?with_openh323:BuildRequires:	openh323-devel}
#BuildRequires:	pwlib-devel = 1.4.4
%{?with_openh323:BuildRequires:	pwlib-devel >= 1.10.0}
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
%{?with_openh323:%requires_eq	openh323}
%{?with_openh323:%requires_eq	pwlib}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Asterisk is an Open Source PBX and telephony development platform that
can both replace a conventional PBX and act as a platform for
developing custom telephony applications for delivering dynamic
content over a telephone similarly to how one can deliver dynamic
content through a web browser using CGI and a web server.

Asterisk talks to a variety of telephony hardware including BRI, PRI,
POTS, and IP telephony clients using the Inter-Asterisk eXchange
protocol (e.g. gnophone or miniphone). For more information and a
current list of supported hardware, see http://www.asterisk.org/.

%description -l pl
Asterisk to wolnodostpna centralka (PBX) i platforma programistyczna
dla telefonii, mogca zastpi konwencjonalne PBX-y oraz suy jako
platforma do rozwijania wasnych aplikacji telefonicznych do
przekazywania dynamicznej treci przez telefon, podobnie jak mona
przekazywa dynamiczn tre przez przegldark WWW przy uyciu CGI i
serwera WWW.

Asterisk wsppracuje z wielorakim sprztem telefonicznym, w tym BRI,
PRI, POTS oraz klienty telefonii IP uywajce protokou Inter-Asterisk
eXchange (np. gnophone lub miniphone). Wicej informacji i list
obsugiwanego sprztu mona znale pod http://www.asterisk.org/.

%package devel
Summary:	Header files for Asterisk platform
Summary(pl):	Pliki nagwkowe platformy Asterisk
Group:		Development
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for Asterisk development platform.

%description devel -l pl
Pliki nagwkowe platformy programistycznej Asterisk.

%package examples
Summary:	Example files for the Asterisk PBX
Summary(pl):	Pliki przykadowe dla centralki Asterisk
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description examples
Example files for the Asterisk PBX.

%description examples -l pl
Pliki przykadowe dla centralki Asterisk.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
#%patch4 -p1
#%patch5 -p1
#%patch6 -p1
#%patch7 -p1
%patch8 -p1
#%patch9 -p1

%if %{with rxfax}
cd apps
%patch10 -p0
cp %{SOURCE10} .
cp %{SOURCE11} .
cd ..
%endif

%patch11 -p1
%patch12 -p1

sed -i -e "s#/usr/lib/#/usr/%{_lib}/#g#" Makefile channels/Makefile

%build
rm -f pbx/.depend
%{__make} -j1 \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%if %{with openh323}
# H323 plugin:
%{__make} -j1 -C channels/h323 \
	PWLIBDIR="%{_prefix}" \
	OPENH323DIR="%{_datadir}/openh323" \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -I/usr/include/openh323 -fPIC -I../../include"

%endif

# it requires doxygen - I don't know if we should do this...
#%{__make} progdocs

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/var/{log/asterisk/cdr-csv,spool/asterisk/monitor},/etc/{rc.d/init.d,sysconfig}}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT
%{__make} -j1 samples \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%if %{with openh323}
install channels/h323/h323.conf.sample $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/h323.conf
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add asterisk
%service asterisk restart "Asterisk daemon"

%preun
if [ "$1" = "0" ]; then
	%service asterisk stop
	/sbin/chkconfig --del asterisk
fi

%files
%defattr(644,root,root,755)
%doc BUGS ChangeLog CREDITS HARDWARE README* SECURITY configs doc/{*.txt,linkedlists.README}
%attr(755,root,root) %{_sbindir}/*
%dir %{_sysconfdir}/asterisk
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/*.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/*.adsi
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/extensions.ael
%dir %{_libdir}/asterisk
%dir %{_libdir}/asterisk/modules
%attr(755,root,root) %{_libdir}/asterisk/modules/*.so
%dir /var/lib/asterisk
%dir /var/lib/asterisk/agi-bin
%dir /var/lib/asterisk/images
%dir /var/lib/asterisk/keys
%dir /var/lib/asterisk/mohmp3
/var/lib/asterisk/mohmp3/fpm-calm-river.mp3
/var/lib/asterisk/mohmp3/fpm-sunshine.mp3
/var/lib/asterisk/mohmp3/fpm-world-mix.mp3
%dir /var/lib/asterisk/sounds
%dir /var/lib/asterisk/sounds/digits
%dir /var/lib/asterisk/sounds/dictate
%dir /var/lib/asterisk/sounds/letters
%dir /var/lib/asterisk/sounds/phonetic
%dir /var/lib/asterisk/sounds/silence
/var/lib/asterisk/images/*.jpg
/var/lib/asterisk/keys/*.pub
/var/lib/asterisk/sounds/*.gsm
/var/lib/asterisk/sounds/digits/*.gsm
/var/lib/asterisk/sounds/dictate/*.gsm
/var/lib/asterisk/sounds/letters/*.gsm
/var/lib/asterisk/sounds/phonetic/*.gsm
/var/lib/asterisk/sounds/silence/*.gsm
%dir /var/spool/asterisk
%dir /var/spool/asterisk/monitor
#%%dir /var/spool/asterisk/vm
%dir /var/spool/asterisk/voicemail
%dir /var/spool/asterisk/voicemail/default
%dir /var/log/asterisk
%dir /var/log/asterisk/cdr-csv
%{_mandir}/man8/asterisk.8*
%{_mandir}/man8/astgenkey.8*
%{_mandir}/man8/autosupport.8*
%{_mandir}/man8/safe_asterisk.8*
%dir /var/lib/asterisk/firmware
%dir /var/lib/asterisk/firmware/iax
/var/lib/asterisk/firmware/iax/iaxy.bin

%files examples
%defattr(644,root,root,755)
%attr(755,root,root) /var/lib/asterisk/agi-bin/agi-test.agi
%attr(755,root,root) /var/lib/asterisk/agi-bin/eagi-sphinx-test
%attr(755,root,root) /var/lib/asterisk/agi-bin/eagi-test
/var/spool/asterisk/voicemail/default/1234/busy.gsm
/var/spool/asterisk/voicemail/default/1234/unavail.gsm

#%dir /var/lib/asterisk/agi-bin/*

%files devel
%defattr(644,root,root,755)
%dir %{_includedir}/asterisk
%{_includedir}/asterisk/*.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: asterisk.spec,v $
Revision 1.74.2.22  2007/12/11 11:34:03  marcus
- md5 updated

Revision 1.74.2.21  2007-12-11 11:33:34  marcus
- up to 1.2.25

Revision 1.74.2.20  2007/09/27 07:43:57  marcus
- up to 1.2.24

Revision 1.74.2.19  2007/09/21 22:58:53  zbyniu
- working source0 url

Revision 1.74.2.18  2007/09/21 22:54:42  zbyniu
- up to 1.2.23

Revision 1.74.2.17  2007/07/19 11:59:30  dzeus
- up to 1.2.22

Revision 1.74.2.16  2007/07/04 10:49:26  dzeus
- up to 1.2.20

Revision 1.74.2.15  2007/04/25 08:36:31  dzeus
- up to 1.2.18

Revision 1.74.2.14  2007/03/29 07:57:20  dzeus
- security update to 1.2.17 (SIP INVITE remote DOS)

Revision 1.74.2.13  2007/03/08 12:21:41  dzeus
- little cleanup in BR, STBR

Revision 1.74.2.12  2007/03/06 14:05:05  kosmo
- updated to 1.2.16

Revision 1.74.2.11  2007/01/01 22:14:49  glen
- rel 2 (new pwlib soname)

Revision 1.74.2.10  2006/12/29 08:57:38  marcus
- updated to 1.2.14

Revision 1.74.2.9  2006/12/20 08:43:21  hawk
- release 2 to rebuild with PostgreSQL 8.2

Revision 1.74.2.8  2006/12/07 09:41:14  kosmo
- updated to 1.2.13

Revision 1.74.2.7  2006/11/26 14:46:42  glen
- rel 5: asterisk-1.2.9.1-4: req libtds.so.4 not found

Revision 1.74.2.6  2006/09/04 15:21:19  glen
- no solutions offered in libpri thread, planting hack; rel 4

Revision 1.74.2.5  2006/08/29 23:54:26  glen
- rel 3

Revision 1.74.2.4  2006/06/11 08:51:06  arekm
- rel 2

Revision 1.74.2.3  2006/06/10 21:50:21  arekm
- up to 1.2.9.1

Revision 1.74.2.2  2006/05/23 12:43:19  ankry
- rel. 4 to rebuild with newt 0.52

Revision 1.74.2.1  2006/05/18 12:45:07  baggins
- rel 3
- rebuild with pwlib 1.10.0

Revision 1.74  2006/05/11 20:34:47  glen
- rel 2

Revision 1.73  2006/05/11 20:32:20  glen
- 1.2.7.1 from AC-branch

Revision 1.72  2006/04/13 13:11:22  areq
- 1.2.7

Revision 1.71  2006/03/27 22:22:13  areq
- 1.2.6

Revision 1.70  2006/03/12 17:12:17  areq
- 1.2.5

Revision 1.69  2006/02/24 15:20:04  glen
- use %service

Revision 1.68  2006/02/17 13:52:13  hunter
- include rxtxfax app

Revision 1.67  2006/02/04 21:40:07  averne
- updated to 1.2.4

Revision 1.66  2006/01/25 21:46:01  arekm
- up to 1.2.3

Revision 1.65  2006/01/19 11:25:17  dzeus
- up to 1.2.2

Revision 1.64  2005/12/17 12:56:15  averne
- updated to 1.2.1
- rel 1

Revision 1.63  2005/12/17 12:42:53  averne
- fixed openh323 path
- rel 2

Revision 1.62  2005/12/12 13:44:45  glen
- adapterized (sorted %verify attrs)

Revision 1.61  2005/11/22 00:51:17  aredridel
- requires libpri >= 1.2.0

Revision 1.60  2005/11/21 13:53:30  pawcioos
- updated to 1.2.0

Revision 1.59  2005/10/09 09:52:29  arekm
- don't pass arch=something; it's already in cflags

Revision 1.58  2005/10/08 22:07:57  arekm
- fix awk req; rel 3

Revision 1.57  2005/10/08 22:01:24  arekm
- rel 2

Revision 1.56  2005/10/05 20:19:37  aredridel
- finish t30 support

Revision 1.55  2005/09/20 18:23:22  aredridel
- add initial t30 stub work, NFY

Revision 1.54  2005/07/02 08:22:07  domelu
- up to 1.0.9

Revision 1.53  2005/06/24 05:29:48  aredridel
- up to 1.0.8

Revision 1.52  2005/06/04 20:38:56  speedy
- release 4 (rebuild with new pwlib/openh323)

Revision 1.51  2005/05/01 20:10:28  areq
- BR freetds >= 0.63

Revision 1.50  2005/04/28 08:46:51  hawk
- release 3

Revision 1.49  2005/04/28 08:39:15  hawk
- added patch for compilation with freetds >= 0.63

Revision 1.48  2005/04/27 14:48:52  hawk
- release 2

Revision 1.47  2005/03/20 19:34:46  arekm
- builds with new pwlib/openh323

Revision 1.46  2005/03/20 15:03:23  arekm
- up to 1.0.7

Revision 1.45  2005/03/02 20:46:32  djrzulf
- added h323.conf, Rel 3, STBR AC-TEST,

Revision 1.44  2005/03/02 06:54:20  qboosh
- fixed bcond

Revision 1.43  2005/03/01 21:08:17  qboosh
- simplified

Revision 1.42  2005/03/01 20:40:48  djrzulf
- now we build from our sources, STBR AC-TEST,

Revision 1.41  2005/03/01 20:21:39  djrzulf
- Rel 2, fixed h323 linking, STBR AC-TEST!!

Revision 1.40  2005/03/01 20:12:09  djrzulf
- NFY,

Revision 1.39  2005/03/01 16:01:44  djrzulf
- h323 back, but doesn't compile,

Revision 1.38  2005/03/01 05:56:04  djrzulf
- updated to 1.0.6, stbr AC-TEST,

Revision 1.37  2004/12/21 22:26:43  luzik
- updated to 1.0.3 (bug fixes)

Revision 1.36  2004/12/11 07:43:33  undefine
- small patch asterisk-no_k6_on_sparc.patch to build on sparcs(not only ultrasparc)
- release 3

Revision 1.35  2004/12/09 22:34:58  qboosh
- BR sed 4.0, man fix

Revision 1.34  2004/12/09 21:03:20  havner
- fix amd64 build
- rel 2

Revision 1.33  2004/11/20 20:27:39  aredridel
- up to 1.0.2
- macros in make arguments
- don't set CFLAGS so that it compiles; pass rpmcflags in OPTIMIZE

Revision 1.32  2004/11/15 19:55:42  adamg
- added Makefile_fix_gcc33.patch (hopefully fixes build on amd64)
- pass CC, CFLAGS and blank OPTIMIZE

Revision 1.31  2004/10/07 10:35:09  qboosh
- missing pl, strict internal deps, simplified prep

Revision 1.30  2004/10/04 23:43:47  aredridel
- spec cleanups

Revision 1.29  2004/09/24 23:18:43  mguevara
- update to 1.0.0
- url/ftp address change

Revision 1.28  2004/08/28 23:16:45  aredridel
- up to 20040828

Revision 1.27  2004/04/11 03:56:34  aredridel
- up to pre-1.0 CVS

Revision 1.26  2004/04/07 19:03:13  aredridel
- made h323 optional

Revision 1.25  2004/03/19 23:46:22  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.24  2004/02/21 23:10:01  aredridel
- up to 0.7.2

Revision 1.23  2003/08/22 15:26:46  qboosh
- verify flags for configs

Revision 1.22  2003/08/22 15:16:38  ankry
- attributes fix

Revision 1.21  2003/08/11 16:54:03  gotar
- fixed building:
  - h323 (Makefile2 patch),
  - pbx (made .depend to refresh by removing the old one),
- new todo: pass CFLAGS

Revision 1.20  2003/08/06 16:29:39  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.19  2003/07/29 14:17:58  qboosh
- added missing Requires(): chkconfig or PreReq: rc-scripts

Revision 1.18  2003/06/15 20:31:44  blues
- TODO added

Revision 1.17  2003/06/11 20:46:24  ankry
- BR bison,gawk

Revision 1.16  2003/06/10 14:00:22  ankry
- added md5

Revision 1.15  2003/05/25 05:45:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/05/21 14:49:10  blues
- I've found why I had problems with calling other phones... added missing
  cdr-csv directory...

Revision 1.13  2003/05/20 16:10:52  blues
- 0.4.0.20030520 snapshot - because of chan_sip that makes sig11 and
  registering storm

Revision 1.12  2003/05/19 13:31:20  blues
- monitor directory for recording

Revision 1.11  2003/05/13 12:37:30  blues
- now requirements of openh323 and pwlib are correct. I don't know why is
  that

Revision 1.10  2003/05/13 11:32:49  blues
- pre/post play

Revision 1.9  2003/05/13 11:06:16  blues
- simple init-scripts

Revision 1.8  2003/05/13 09:38:12  blues
- require exact version of openh323

Revision 1.7  2003/05/13 08:22:38  blues
- Makefile patch - make chan_h323 build

Revision 1.6  2003/05/12 13:27:34  blues
- started work with h323 plugin...

Revision 1.5  2003/05/11 13:02:53  qboosh
- pl description, missing dir, cleanups

Revision 1.4  2003/05/09 14:15:41  blues
- removed samples, added logs directory

Revision 1.3  2003/05/09 13:59:45  adasi
- added destdir patch
- added lost files

Revision 1.2  2003/05/08 13:25:07  blues
- more BR

Revision 1.1  2003/05/08 12:50:37  blues
- initial release - VoIP system
